# 代码隔离

## 基本原则 

代码按照模块进行组织。
后端按命名空间，文件夹遵循命名空间
前端按文件夹

### 命名原则
- 命名的能用单个词不要用多个词
- 单词尽量简单、简短、通用

例如：
商城的商品，可以用goods、product,不要用merchandise

### 举例
|- 商城模块
&emsp;&emsp;|- 商品管理
&emsp;&emsp;|- 订单管理

#### 后端命名空间如下：

|- shop
&emsp;&emsp;|- shop/product
&emsp;&emsp;|- shop/order

##### 而前端 对应的页面
|- /shop
&emsp;&emsp;|- /shop/product
&emsp;&emsp;&emsp;&emsp;|- /shop/product/list.vue
&emsp;&emsp;&emsp;&emsp;|- /shop/product/edit.vue
&emsp;&emsp;|- /shop/order
&emsp;&emsp;&emsp;&emsp;|- /shop/order/list.vue